Bug 165485 - Review Request: wmacpi - This is a port of WMApm 1.1 with ACPI support
Review Request: wmacpi - This is a port of WMApm 1.1 with ACPI support
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: José Matos
David Lawrence
http://www.ne.jp/asahi/linux/timecop/
: Reopened
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-09 15:06 EDT by Andreas Bierfert
Modified: 2008-05-24 13:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-29 05:01:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Andreas Bierfert 2005-08-09 15:06:11 EDT
Spec Name or Url: http://fedora.lowlatency.de/review/wmacpi.spec
SRPM Name or Url: http://fedora.lowlatency.de/review/wmacpi-1.34-1.src.rpm
Description:
This is a port of WMApm 1.1 with ACPI support
Comment 1 José Matos 2005-08-19 15:18:53 EDT
Could you please improve the summary and description of the packages?    
    
It was very difficult to me to know what it did other than reading the    
included files.   
    
Believe me or not that is my main complain with the spec file. :-)    
    
One other nitpick, please add a blank line over %clean, just to increase the   
readability of the spec file.   
   
You could also replace the version number by %{version} in the %{source} line  
as well as using %{?dist} in the release file. 
 
Comment 2 José Matos 2005-08-19 17:22:56 EDT
The spec file is missing one BR: xorg-x11-libs or else you cann't link with 
X11. 
Comment 3 Andreas Bierfert 2005-08-19 18:43:57 EDT
I will add dist later after importing. xorg-x11-libs is not needed because it
gets pulled in from BR: xorg-x11-devel. Other than that:

http://fedora.lowlatency.de/review/wmacpi-1.34-2.src.rpm
http://fedora.lowlatency.de/review/wmacpi.spec
Comment 4 José Matos 2005-08-20 03:20:07 EDT
You are right about the building requirement, it was my mistake I 
misunderstood a problem I had using mock to generate the package in x86_64. 
 
Mock fails because in the makefile we have: 
 
LDFLAGS = $(OPT) -L/usr/X11R6/lib -lX11 -lXpm -lXext 
 
As you can see this is will fail for 64 bits where the right path ends with 
lib64. 
 
Notice also that OPT is used here, this is a bug from the original package. We 
do not optimize when linking, do we? That is an honest question, but even if 
you do I would expect it to be the same as the remaining Makefile. 
 
Comment 6 José Matos 2005-08-20 06:39:22 EDT
+ Builds inside mock on x86_64 
+ rpmlint output: 
W: wmacpi no-version-in-last-changelog 
 
  I guess that is due to the version being in the next line. Easy to fix. 
 
+ package name follows rules 
+ the spec file is named correctly, it is written in English and it is legible 
+ the license is correct (GPL), the same as upstream and it is included in 
%doc 
+ The source file matches upstream. (sha1sum) 
+ BR are correct 
+ there are no locales, %post*, devel or doc subpackages to worry about 
+ the package is not relocatable 
+ there is no directory to be owned, and file permissions are correct 
 
I still do not like the description, I would expect something like (I took 
this from the web page with some small changes): 
 
This is a typical laptop ACPI dockapp. One interesting feature is the "timer" 
mode, where you can keep track of how long the laptop has been "on battery". 
This is opposite of the information usually provided by the BIOS, which is 
"time remaining", and in many cases wrong. This option can be toggled at 
run-time. System messages scroll on the bottom of the window, AC plug flashes 
when battery is charging, and green LED inside the big button flashes red if 
battery level is critical low. 
 
I think that the word laptop is also missing in the the Summary field, I think 
that you agree that this is only usefull for laptops. I am not aware of any 
desktop with an included battery. ;-) UPS does not count as such, at least for 
this program scope :-). 
 
I noticed that this program does not give any reliable information if you have 
two battery plugs and only the second one is present. But this is an upstream 
issue. 
 
The package is APPROVED. 
Comment 7 Andreas Bierfert 2005-08-20 06:52:05 EDT
Thx for the review... issues fixed... :)
Comment 8 José Matos 2006-08-29 04:55:44 EDT
Reopening bug to fix assignee.

Comment 9 José Matos 2006-08-29 05:01:04 EDT
Assignee fixed, closing again.
Comment 10 Christian Iseli 2006-10-18 05:01:57 EDT
Normalize summary field for easy parsing
Comment 11 Patrice Dumas 2008-05-23 10:53:46 EDT
I would like to have that package in EL-4 and EL-5. Would you like
to maintain it in EL, and if not could I do it?
Comment 12 Andreas Bierfert 2008-05-23 13:14:41 EDT
Fine by me. Feel free to maintain it and add me as a co-maintainer, should be
very low profile...
Comment 13 Patrice Dumas 2008-05-23 15:12:02 EDT
Package Change Request
======================
Package Name: wmacpi
New Branches: EL-4 EL-5
Updated EPEL Owners: pertusus, awjb
Comment 14 Kevin Fenzi 2008-05-24 13:56:39 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.